# /api/v3/queries/available_projects
---
get:
  responses:
    '200':
      content:
        application/hal+json:
          examples:
            response:
              value:
                _embedded:
                  elements:
                  - _links:
                      categories:
                        href: "/api/v3/projects/6/categories"
                      createWorkPackage:
                        href: "/api/v3/projects/6/work_packages/form"
                        method: post
                      createWorkPackageImmediate:
                        href: "/api/v3/projects/6/work_packages"
                        method: post
                      self:
                        href: "/api/v3/projects/6"
                        title: A project
                      versions:
                        href: "/api/v3/projects/6/versions"
                    _type: Project
                    createdAt: '2015-07-06T13:28:14+00:00'
                    description: Eveniet molestias omnis quis aut qui eum adipisci.
                    id: 6
                    identifier: a_project
                    name: A project
                    type: Customer Project
                    updatedAt: '2015-10-01T09:55:02+00:00'
                  - _links:
                      categories:
                        href: "/api/v3/projects/14/categories"
                      createWorkPackage:
                        href: "/api/v3/projects/14/work_packages/form"
                        method: post
                      createWorkPackageImmediate:
                        href: "/api/v3/projects/14/work_packages"
                        method: post
                      self:
                        href: "/api/v3/projects/14"
                        title: Another project
                      versions:
                        href: "/api/v3/projects/14/versions"
                    _type: Project
                    createdAt: '2016-02-29T12:50:20+00:00'
                    description: ''
                    id: 14
                    identifier: another_project
                    name: Another project
                    type: 
                    updatedAt: '2016-02-29T12:50:20+00:00'
                _links:
                  self:
                    href: "/api/v3/queries/available_projects"
                _type: Collection
                count: 2
                total: 2
          schema:
            "$ref": "../components/schemas/available_projects_for_query_model.yml"
      description: OK
      headers: {}
    '403':
      content:
        application/hal+json:
          schema:
            $ref: "../components/schemas/error_response.yml"
          examples:
            response:
              value:
                _type: Error
                errorIdentifier: urn:openproject-org:api:v3:errors:MissingPermission
                message: You are not authorized to access this resource.
      description: |-
        Returned if the client does not have sufficient permissions.

        **Required permission:** view work packages
      headers: {}
  tags:
  - Queries
  description: Gets a list of projects that are available as projects a query can
    be assigned to.
  operationId: Available_projects_for_query
  summary: Available projects for query
